%define		name	avogadro
%define 	major	0
%define 	libname	%mklibname %{name} %{major}

Name:           %{name}
Version:        0.9.2
Release:        1mcnl2008.1
License:        GPL v2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Productivity/Editors/Other
Summary:        Avogadro is a Molecular design tool
Url:            http://avogadro.sourceforge.net/wiki/Main_Page
Source0:        %{name}-%{version}.tar.bz2
Source1:        %name.png
Patch0:         %{name}-icon.patch
Requires:	%{libname} = %{version}
Requires:       openbabel >= 2.2.0
#optional packages
Requires:       glew boost python-numpy
Vendor:         MandrivaClub.NL
Packager:       Kristof Bal <kristof.bal@gmail.com>

#BuildRequires:  libxorg-x11-devel
BuildRequires:  gcc-c++ cmake qt4-linguist
BuildRequires:  openbabel-devel >= 2.2.0
BuildRequires:  qt4-devel eigen2
#optional packages
BuildRequires:  python-devel glew-devel boost-devel python-numpy-devel python-sip

%description
Avogadro is an advanced molecular editor designed
for cross-platform use in computational chemistry,
molecular modeling, bioinformatics, materials science,
and related areas. It offers flexible rendering and
a powerful plugin architecture.

Authors:
--------
    See AUTHORS file

%package -n %{libname}
Summary:        Avogadro is a Molecular design tool
Group:          Development/Libraries/C and C++

%description -n %{libname}
This package contains the shared libraries for Avogadro.

Avogadro is an advanced molecular editor designed
for cross-platform use in computational chemistry,
molecular modeling, bioinformatics, materials science,
and related areas. It offers flexible rendering and
a powerful plugin architecture.
 
Authors:
--------
    See AUTHORS file
 

%package -n %{libname}-devel
Summary:        Development files for Avogadro 
Group:          Development/Libraries/C and C++
Requires:	%{libname} = %{version}


%description -n %{libname}-devel
This package contains files to develop applications using 
Avogadros libraries.

Authors:
--------
    See AUTHORS file

%prep
%setup -q
%patch0 -p1

%build
%cmake %{?BUILD_TESTS} -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_libdir} -DENABLE_GLSL=ON -DENABLE_PYTHON=ON
 
%make

%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

# icon
install -D -m644 %SOURCE1 $RPM_BUILD_ROOT/%{_datadir}/icons/%name.png

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}_icon.png
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/%{name}.desktop

%files -n %{libname}-devel
%defattr(-,root,root,-)
%{_datadir}/libavogadro/
%{_includedir}/%{name}/*.h
%{_libdir}/*.so

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_libdir}/*.so.*
%{_libdir}/python2.5/site-packages/Avogadro.so

%changelog
* Sat Mar 7 2009 - Kristof Bal <kristof.bal@gmail.com> 0.9.2-1mcnl2009.0
- update to 0.9.2, mostly bugfixes
- more optional features included
* Sat Feb 14 2009 - Kristof Bal <kristof.bal@gmail.com>
- update to 0.9.0
* Thu Dec 11 2008 - Kristof Bal <kristof.bal@gmail.com>
- adapted for mandriva
* Wed Jun 11 2008 - Andrea Florio <andrea@opensuse.org>
- update to version 0.8.1
- lots of fixing and improving:
    for more info check here: http://avogadro.openmolecules.net/wiki/Avogadro_0.8.1
- made rpmlint happier
* Wed May 30 2008 - Andrea Florio <andrea@opensuse.org>
- update to version 0.8.0
* Mon Mar 24 2008 - Andrea Florio <andrea@opensuse.org>
- update to version 0.6.1
* Fri Dec 21 2007 - Andrea Florio <andrea@opensuse.org>
- Fixed URL project page
- Fixed libavogadro0 and avogadro-devel package
- added libavogadro like obsoletes
- follow shared library packagin policy:
  rename libavogadro to libavogadro0
- create a devel package containing the headers files
- make the compiler happier: added avogadro-0.2.0-mathmeaning.patch
* Sun Dec 16 2007 Andrea Florio <andrea@opensuse.org>
- First spec making
